function [A,X,info] = postproc(kladPix,kladObr,scaling,sOn,sOp,p,n,r,A_rough,X_rough,info)
% function for postprocessing of the results, depends on algorithm

A = zeros(p,r);
X = zeros(n,r);
Xi = zeros(size(A));
U = zeros(size(X));


% return to original size and scale
if scaling
    A(kladPix,:) = ((1./sqrt(sOp))*ones(1,size(A_rough,2))).*A_rough;
    X(kladObr',:) = ((1./sqrt(sOn))*ones(1,size(X_rough,2))).*X_rough;
else
    A(kladPix,:) = A_rough;
    X(kladObr',:) = X_rough;
end

Xi(kladPix,:) = info.Xi;
U(kladObr',:) = info.U_rough;

info.U_rough = U;
info.Xi = Xi;

end